Wire Transfer
Create a wire transfer
Create a wire transfer between a Column account and a counterparty.
Body Parameters
account_number_id
stringRequiredID of the account number from which the wire transfer is sent.
allow_overdraft
booleanRequiredAllow the account to go negative for the transfer. The bank account needs to have is_overdraftable enabled with an overdraft reserve account linked to it.
amount
integerRequiredAmount (in cents) of the funds that will be transferred. e.g. $1.75 would be represented by 175.
bank_account_id
stringRequiredID of the bank account from which the wire transfer is sent.
counterparty_id
stringRequiredID of the counterparty that will receive the transfer.
creditor_tax_id
stringRequiredA Tax Identification Number (TIN) or Employer Identification Number (EIN) of exactly 9 numeric characters for the creditor.
currency_code
stringRequiredThe three-letter currency code defined in ISO 4217. e.g. USD.
description
stringRequiredA description of the transfer. This field contains originator to beneficiary information and will be transmitted to the RDFI. 140 character limit.
instructed_bank_routing_number
stringOptionalOptional ABA routing number of the instructed bank (Fedwire receiver) when it differs from the counterparty's bank. When specified, the wire is physically sent to this institution on Fedwire, which then forwards funds to the counterparty's bank. Must be a valid Fedwire-eligible ABA routing number.
tax_record_period_type
stringRequiredThe tax record period type for tax-related wire transfers. Possible values: MM01-MM12 (monthly), QTR1-QTR4 (quarterly), HLF1-HLF2 (half-yearly)
tax_type_code
stringRequiredThe tax type code for tax-related wire transfers. Possible values: WITF (withholding tax), TAXE (tax payment)
tax_year
stringRequiredA Tax Year of exactly 4 numerical characters.
ultimate_originator_counterparty
objectOptionalInline counterparty object for the ultimate originator. Use this instead of ultimate_originator_counterparty_id to create a new counterparty inline.
account_number
stringRequiredThe account number for the bank account.
account_type
stringRequiredThe type of the account number. Can be checking or savings.
address
objectRequiredAddresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the Fedwire character validation.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
description
stringRequiredDescription of the counterparty visible only in your platform. Maximum length: 127 characters.
The email address of the beneficiary.
legal_id
stringRequiredThe legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 127 characters.
legal_type
stringRequiredThe legal entity type of the beneficiary. Can be business, non_profit, individual, or sole_proprietor. This field is recommended for international wire transfers, and required in some countries.
local_account_number
stringRequiredThe local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_country_code
stringRequiredThe ISO 3166-1 alpha-2 country code of the beneficiary's local bank.
local_bank_name
stringRequiredName of the beneficiary's local bank.
name
stringRequiredThe counterparty name who owns the bank account. There is a 127 character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
phone
stringRequiredThe phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 31 characters.
routing_number
stringRequiredThe routing number of the bank.
routing_number_type
stringRequiredThe type of the routing number. Can be aba, bic, or other.
wire
objectRequiredWire-specific details for this counterparty, including beneficiary information and local bank details.
beneficiary_address
objectRequiredThe address of the wire beneficiary.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
beneficiary_email
stringRequiredThe email address of the wire beneficiary.
beneficiary_legal_id
stringRequiredThe legal identification number of the wire beneficiary (e.g. EIN or SSN).
beneficiary_name
stringRequiredThe name of the wire beneficiary.
beneficiary_phone
stringRequiredThe phone number of the wire beneficiary.
beneficiary_type
stringRequiredThe type of the wire beneficiary. Possible values: individual, business
local_account_number
stringRequiredThe local account number at the beneficiary's bank (used for international counterparties).
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (used for international counterparties).
wire_drawdown_allowed
booleanRequiredWhitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If false, all inbound drawdown requests from this counterparty will require explicit approval.
ultimate_originator_counterparty_id
stringRequiredID of the ultimate originating counterparty that sent the transfer in an outgoing wire transfer.